# This file and all modifications and additions are under the same license as the package itself.
# Adapted from source at https://github.com/EUA/wxHexEditor

%define _prefix	/usr
%define procs $(((%getncpus)*2))
#%define debug_package %{nil}

Name:			wxHexEditor
Summary:		Large file hex editor
License:			GPL
Version:			0.25
Release:			1
Group:			Editors
Packager:		Logan <logantech05@gmail.com>
URL:			http://www.wxhexeditor.org
Source0:			%{name}-v%{version}-src.tar.xz
Requires:		wxGTK >= 2.8.9
BuildRequires:	wxGTK-devel >= 2.8.9
BuildRequires:	gcc g++ make cmake

%description
wxHexEditor is a hex editor for HUGE files and devices.
wxHexEditor is another GUI hex editor for open HUGE files and devices
With wxHexEditor, you can edit huge files and devices.

%prep
%setup -q

%build
%__cmake -S . -B build -D CMAKE_CXX_FLAGS="-DHAVE_STRING_H"
%make_build -C build -j%{procs} WXCONFIG=wx-config OPTFLAGS="-fopenmp"
%make_build langs

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__cp -rf bin/%{name} %{buildroot}%{_bindir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__cp -rf resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cp -rf resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%__cp -rf resources/%{name}-root.desktop %{buildroot}%{_datadir}/applications/%{name}-root.desktop
%__install -dm 755 %{buildroot}%{_datadir}/polkit-1/actions
%__cp -rf resources/wxHexEditor.policy %{buildroot}%{_datadir}/polkit-1/actions/org.freedesktop.pkexec.wxHexEditor.policy
for file in locale/*/; do
	%__install -dm 755 %{buildroot}%{_datadir}/$file/LC_MESSAGES/
	%__mv "$file/wxHexEditor.mo" "%{buildroot}%{_datadir}/$file/LC_MESSAGES/wxHexEditor.mo"
done
%__install -dm 755 %{buildroot}%{_datadir}/locale/
%__cp -rf locale %{buildroot}%{_datadir}
%__rm %{buildroot}%{_datadir}/locale/*/*.po
%__rm %{buildroot}%{_datadir}/locale/*.*
%find_lang %{name}

%clean
%__rm -r %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/polkit-1/actions/*
%{_datadir}/locale/*/LC_MESSAGES/wxHexEditor.mo
%{_datadir}/pixmaps/*

%changelog
* Thu Mar 22 2018 Erdem U. Altinyurt <spamjunkeater@gmail.com> - 0.25
- Updated to version v0.25
* Sat Dec 30 2017 Erdem U. Altinyurt <spamjunkeater@gmail.com> - 0.24
- Updated to version v0.24
* Thu Dec 04 2014 Erdem U. Altinyurt <spamjunkeater@gmail.com> - 0.23
- Updated to version v0.23, fixed build requirements for udis86 compilation
